Bug 730571 - IOError: [Errno 2] Bestand of map bestaat niet: '/mnt/sysimage/var/cache/yum/i386/14/fedora/8b539c4008ba73254221717f04f3a6d6079962965ffe730a51861a3c53633320-filelists.sqlite.bz2'
Summary: IOError: [Errno 2] Bestand of map bestaat niet: '/mnt/sysimage/var/cache/yum/...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 19
Hardware: i386
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:79b3d5d4b28dbd624...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-14 15:01 UTC by gervandijck
Modified: 2015-02-17 13:50 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 13:50:41 UTC


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (644.46 KB, text/plain)
2011-08-14 15:01 UTC, gervandijck
no flags Details

Description gervandijck 2011-08-14 15:01:12 UTC
The following was filed automatically by anaconda:
anaconda 14.22 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 696, in _decompress_chunked
    s_fn = bz2.BZ2File(source, 'r')
  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 1069, in decompress
    _decompress_chunked(filename, out, ztype)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 174, in populate
    db_un_fn = misc.decompress(db_fn)
  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 294, in _loadFiles
    self.sack.populate(self.repo, mdtype='filelists')
  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 372, in returnFileTypes
    self._loadFiles()
  File "/usr/lib/python2.7/site-packages/yum/transactioninfo.py", line 46, in __addPackageToIndex_files
    for ftype in obj.returnFileTypes():
  File "/usr/lib/python2.7/site-packages/yum/transactioninfo.py", line 55, in _addPackageToIndex
    self.__addPackageToIndex_files(obj)
  File "/usr/lib/python2.7/site-packages/yum/packageSack.py", line 821, in addPackage
    self._addPackageToIndex(obj)
  File "/usr/lib/python2.7/site-packages/yum/transactioninfo.py", line 277, in add
    self._inSack.addPackage(txmember.po)
  File "/usr/lib/python2.7/site-packages/yum/transactioninfo.py", line 693, in add
    TransactionData.add(self, txmember)
  File "/usr/lib/python2.7/site-packages/pyanaconda/sortedtransaction.py", line 71, in add
    SortableTransactionData.add(self, txmember)
  File "/usr/lib/python2.7/site-packages/yum/transactioninfo.py", line 422, in addInstall
    self.add(txmbr)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 3354, in install
    txmbr = self.tsInfo.addInstall(po)
  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 583, in _requiringFromTransaction
    txmbrs = self.install(best, provides_for=reqtuple)
  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 269, in _processReq
    CheckDeps, missingdep = self._requiringFromTransaction(po, requirement, errormsgs)
  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 830, in _resolveRequires
    (checkdep, missing, errormsgs) = self._processReq(po, dep)
  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 714, in resolveDeps
    CheckDeps, checkinstalls, checkremoves, missing = self._resolveRequires(errors)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 919, in buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.7/site-packages/pyanaconda/yuminstall.py", line 1442, in doPostSelection
    (code, msgs) = self.ayum.buildTransaction()
  File "/usr/lib/python2.7/site-packages/pyanaconda/backend.py", line 277, in doPostSelection
    return anaconda.backend.doPostSelection(anaconda)
  File "/usr/lib/python2.7/site-packages/pyanaconda/dispatch.py", line 212, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/python2.7/site-packages/pyanaconda/dispatch.py", line 131, in gotoNext
    self.moveStep()
  File "/usr/lib/python2.7/site-packages/pyanaconda/gui.py", line 1190, in nextClicked
    self.anaconda.dispatch.gotoNext()
IOError: [Errno 2] Bestand of map bestaat niet: '/mnt/sysimage/var/cache/yum/i386/14/fedora/8b539c4008ba73254221717f04f3a6d6079962965ffe730a51861a3c53633320-filelists.sqlite.bz2'

Comment 1 gervandijck 2011-08-14 15:01:25 UTC
Created attachment 518191 [details]
Attached traceback automatically from anaconda.

Comment 2 Fedora End Of Life 2013-04-03 17:36:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 3 Fedora End Of Life 2015-01-09 16:45:05 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-02-17 13:50:41 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.